Subject: [bug#57430] [PATCH] gnu: wayland-protocols: Fix cross-compilation

From: muradm <[email-masked]>
Date: Fri, 26 Aug 2022 19:59:01 +0300

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> On 26-08-2022 12:14, Tobias Kortkamp wrote:
>
>> * gnu/packages/freedesktop.scm (wayland-protocols): Fix 
>> cross-compilation
>> [native-inputs]: Add pkg-config-for-build and wayland.
>
> According to 'guix gc --references $(guix build 
> wayland-protocols))'
> and it only having a 'share' subdirectory, this appears pure,
> architecture-independent, data.
>
> As such, here's a proposal for a simpler solution: do:
>
> ;; Pure architecture-independent data, cross-compilation is 
> meaningless.
> ;; Resolve a cross-compilation failure and save some disk space 
> and
>    compilation
> ;; time by always compiling natively. As an additional benefit, 
> this
>    avoids some
> ;; worrying about whether placing this package should be placed 
> in
>    'inputs' or in
> ;; 'native-inputs', it can now be placed wherever makes the 
> build succeed.
>
> (arguments (list #:target #false))
>
> This appears related to https://issues.guix.gnu.org/50627, so 
> putting
> the people there in CC.
>
> I'm wondering, is whatever the issue addressed by 50627 now 
> addressed
> by this patch?

Purpose of 50627 was to reduce dependency on wayland-protocols 
from
other packages.

As far as I understand, this one is to reduce dependencies of
wayland-protocols itself.

As far as I know, there is no binary output of wayland-protocols,
and wayland maybe needed as dependency for testing purposes only.
IMHO these tests are targeted for developers producing protocol
specifications. Once protocol specification is ready
wayland-protocols is released. So running tests on
wayland-protocols should be pointless waste of resources, as they
don't prove that anything useful, instead dependents should
test themselves. If testing causing waste of space and resources
I would turn them off or probably use copy-build-system even.

> Greetings,
> Maxime.
>
> [2. OpenPGP public key --- application/pgp-keys; 
> OpenPGP_0x49E3EE22191725EE.asc]...
>
> [[End of PGP Signed Part]]